SimpleFilenameParser (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.file.SimpleFilenameParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file
Class SimpleFilenameParser

    java.lang.Object
      org.mule.transport.file.SimpleFilenameParser

All Implemented Interfaces:
  FilenameParser

Deprecated. Superceded by `ExpressionFilenameParser`, which is now used by Mule implicitly.

    @Deprecated
    public class SimpleFilenameParser

extends Object
implements FilenameParser

`SimpleFilenameParser` understands a limited set of tokens, namely

- #[DATE] : the currrent date in the format dd-MM-yy_HH-mm-ss.SS
- #[DATE:yy-MM-dd] : the current date using the specified format
- #[SYSTIME] : The current system time milliseconds
- #[UUID] : A generated Universally unique id
- #[ORIGINALNAME] : The origial file name if the file being written was read from another location
- #[COUNT] : An incremental counter
- #[<Message Property Name>] : A name of a property on the message

Note that square brackets can be used instead of curl brackets, this is useful when defining the file output pattern in a Mule Url endpointUri where the curl bracket is an invalid character.

Curly braces ${} are supported, but give a deprecation warning.

Field Summary
`static String` | `DEFAULT_DATE_FORMAT` Deprecated.
`protected Log` | `logger` Deprecated.

Constructor Summary
`SimpleFilenameParser()` Deprecated.

Method Summary
`String` | `getFilename(MessageAdapter adapter, String pattern)` Deprecated.
`protected String` | `getFilename(MessageAdapter adapter, String pattern, TemplateParser parser)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  Deprecated.

### DEFAULT_DATE_FORMAT

    public static final String DEFAULT_DATE_FORMAT

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### SimpleFilenameParser

    public SimpleFilenameParser()

  Deprecated.

Method Detail

### getFilename

    public String getFilename(MessageAdapter adapter,
                              String pattern)

  Deprecated.
  Specified by:
    `getFilename` in interface `FilenameParser`

### getFilename

    protected String getFilename(MessageAdapter adapter,
                                 String pattern,
                                 TemplateParser parser)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.